BimpHelp

Ledger accounts: Bimp API methods

Bimp API methods for the “Ledger accounts” resource (/org2/accounts/…): 1 method. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/accounts/api-readListA request to obtain the chart of accounts: accounts with their codes. Use it for the expense account (account) of a movement of inventories with operation type 2 (cost price) — accounts 23 or 25 — and for the write-off account of an inventory write-off

api-readList

POST /org2/accounts/api-readList

A request to obtain the chart of accounts: accounts with their codes. Use it for the expense account (account) of a movement of inventories with operation type 2 (cost price) — accounts 23 or 25 — and for the write-off account of an inventory write-off

Request body (JSON)

FieldTypeRequiredDescription
codesstring[]Return only accounts with these codes, e.g. [“23”, “25”] — the expense accounts of a movement of inventories with operation type 2 (cost price)

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique identifier of the account
[].codestringAccount code, e.g. “23”
[].namestringAccount name with its code, e.g. “23 Незавершене виробництво”
curl -X POST 'https://app.bimpsoft.com/org2/accounts/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"codes":["string"]}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.